Dar Me gusta a una publicación
curl --request POST \
--url https://api.x.com/2/users/{id}/likes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tweet_id": "1346889436626259968"
}
'import requests
url = "https://api.x.com/2/users/{id}/likes"
payload = { "tweet_id": "1346889436626259968" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tweet_id: '1346889436626259968'})
};
fetch('https://api.x.com/2/users/{id}/likes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"liked": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Me gusta
Dar Me gusta a una publicación
Hace que el usuario autenticado marque con Me gusta una Publicación específica por su id.
POST
/
2
/
users
/
{id}
/
likes
Dar Me gusta a una publicación
Autorizaciones
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
El id del Usuario de origen autenticado que solicita marcar con Me gusta la Publicación. Identificador único de este usuario. El valor debe ser el mismo que el del usuario autenticado.
Ejemplo:
"2244994945"
Cuerpo
application/json
Identificador único de este Tweet. Se devuelve como cadena para evitar complicaciones con lenguajes y herramientas que no pueden manejar enteros de gran tamaño.
Pattern:
^[0-9]{1,19}$Ejemplo:
"1346889436626259968"
Respuesta
La solicitud se ha realizado correctamente.
Show child attributes
Show child attributes
Minimum array length:
1Un objeto HTTP Problem Details, tal como se define en el IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes